Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class ServiceDescription

    java.lang.Object
      org.jboss.portal.wsrp.core.ServiceDescription

All Implemented Interfaces:
  java.io.Serializable

    public class ServiceDescription

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected ItemDescription[]` | `customModeDescriptions`
`protected ItemDescription[]` | `customUserProfileItemDescriptions`
`protected ItemDescription[]` | `customWindowStateDescriptions`
`protected Extension[]` | `extensions`
`protected java.lang.String[]` | `locales`
`protected PortletDescription[]` | `offeredPortlets`
`protected ModelDescription` | `registrationPropertyDescription`
`protected CookieProtocol` | `requiresInitCookie`
`protected boolean` | `requiresRegistration`
`protected ResourceList` | `resourceList`
`protected ItemDescription[]` | `userCategoryDescriptions`

Constructor Summary
`ServiceDescription()`
`ServiceDescription(boolean requiresRegistration, PortletDescription[] offeredPortlets, ItemDescription[] userCategoryDescriptions, ItemDescription[] customUserProfileItemDescriptions, ItemDescription[] customWindowStateDescriptions, ItemDescription[] customModeDescriptions, CookieProtocol requiresInitCookie, ModelDescription registrationPropertyDescription, java.lang.String[] locales, ResourceList resourceList, Extension[] extensions)`

Method Summary
`ItemDescription[]` | `getCustomModeDescriptions()`
`ItemDescription[]` | `getCustomUserProfileItemDescriptions()`
`ItemDescription[]` | `getCustomWindowStateDescriptions()`
`Extension[]` | `getExtensions()`
`java.lang.String[]` | `getLocales()`
`PortletDescription[]` | `getOfferedPortlets()`
`ModelDescription` | `getRegistrationPropertyDescription()`
`CookieProtocol` | `getRequiresInitCookie()`
`ResourceList` | `getResourceList()`
`ItemDescription[]` | `getUserCategoryDescriptions()`
`boolean` | `isRequiresRegistration()`
`void` | `setCustomModeDescriptions(ItemDescription[] customModeDescriptions)`
`void` | `setCustomUserProfileItemDescriptions(ItemDescription[] customUserProfileItemDescriptions)`
`void` | `setCustomWindowStateDescriptions(ItemDescription[] customWindowStateDescriptions)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setLocales(java.lang.String[] locales)`
`void` | `setOfferedPortlets(PortletDescription[] offeredPortlets)`
`void` | `setRegistrationPropertyDescription(ModelDescription registrationPropertyDescription)`
`void` | `setRequiresInitCookie(CookieProtocol requiresInitCookie)`
`void` | `setRequiresRegistration(boolean requiresRegistration)`
`void` | `setResourceList(ResourceList resourceList)`
`void` | `setUserCategoryDescriptions(ItemDescription[] userCategoryDescriptions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### requiresRegistration

    protected boolean requiresRegistration

### offeredPortlets

    protected PortletDescription[] offeredPortlets

### userCategoryDescriptions

    protected ItemDescription[] userCategoryDescriptions

### customUserProfileItemDescriptions

    protected ItemDescription[] customUserProfileItemDescriptions

### customWindowStateDescriptions

    protected ItemDescription[] customWindowStateDescriptions

### customModeDescriptions

    protected ItemDescription[] customModeDescriptions

### requiresInitCookie

    protected CookieProtocol requiresInitCookie

### registrationPropertyDescription

    protected ModelDescription registrationPropertyDescription

### locales

    protected java.lang.String[] locales

### resourceList

    protected ResourceList resourceList

### extensions

    protected Extension[] extensions

Constructor Detail

### ServiceDescription

    public ServiceDescription()

### ServiceDescription

    public ServiceDescription(boolean requiresRegistration,
                              PortletDescription[] offeredPortlets,
                              ItemDescription[] userCategoryDescriptions,
                              ItemDescription[] customUserProfileItemDescriptions,
                              ItemDescription[] customWindowStateDescriptions,
                              ItemDescription[] customModeDescriptions,
                              CookieProtocol requiresInitCookie,
                              ModelDescription registrationPropertyDescription,
                              java.lang.String[] locales,
                              ResourceList resourceList,
                              Extension[] extensions)

Method Detail

### isRequiresRegistration

    public boolean isRequiresRegistration()

### setRequiresRegistration

    public void setRequiresRegistration(boolean requiresRegistration)

### getOfferedPortlets

    public PortletDescription[] getOfferedPortlets()

### setOfferedPortlets

    public void setOfferedPortlets(PortletDescription[] offeredPortlets)

### getUserCategoryDescriptions

    public ItemDescription[] getUserCategoryDescriptions()

### setUserCategoryDescriptions

    public void setUserCategoryDescriptions(ItemDescription[] userCategoryDescriptions)

### getCustomUserProfileItemDescriptions

    public ItemDescription[] getCustomUserProfileItemDescriptions()

### setCustomUserProfileItemDescriptions

    public void setCustomUserProfileItemDescriptions(ItemDescription[] customUserProfileItemDescriptions)

### getCustomWindowStateDescriptions

    public ItemDescription[] getCustomWindowStateDescriptions()

### setCustomWindowStateDescriptions

    public void setCustomWindowStateDescriptions(ItemDescription[] customWindowStateDescriptions)

### getCustomModeDescriptions

    public ItemDescription[] getCustomModeDescriptions()

### setCustomModeDescriptions

    public void setCustomModeDescriptions(ItemDescription[] customModeDescriptions)

### getRequiresInitCookie

    public CookieProtocol getRequiresInitCookie()

### setRequiresInitCookie

    public void setRequiresInitCookie(CookieProtocol requiresInitCookie)

### getRegistrationPropertyDescription

    public ModelDescription getRegistrationPropertyDescription()

### setRegistrationPropertyDescription

    public void setRegistrationPropertyDescription(ModelDescription registrationPropertyDescription)

### getLocales

    public java.lang.String[] getLocales()

### setLocales

    public void setLocales(java.lang.String[] locales)

### getResourceList

    public ResourceList getResourceList()

### setResourceList

    public void setResourceList(ResourceList resourceList)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD